### Method

# WebKit WebExtension get_all_requested_match_patterns

unstable since: 2.52

#### Declaration [src]

    WebKitWebExtensionMatchPattern**
    webkit_web_extension_get_all_requested_match_patterns (
      WebKitWebExtension* extension
    )

#### Description [src]

Get the set of websites that the extension requires access to for injected content and for receiving messages from websites.

Available since: 2.52

#### Return value

Type: An array of `None`

A `NULL`-terminated array of match patterns matching all requested websites.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.